Package commoble.morered.client.jei

# Class SolderingCategory

java.lang.Object
commoble.morered.client.jei.SolderingCategory

All Implemented Interfaces:
  `mezz.jei.api.recipe.category.IRecipeCategory<SolderingRecipe>`

public class SolderingCategory extends Object implements mezz.jei.api.recipe.category.IRecipeCategory<SolderingRecipe>

## Field Summary

Fields
Modifier and Type
Field
Description
`static final net.minecraft.resources.ResourceLocation`
`JEI_RECIPE_TEXTURE`
`static final String`
`TITLE`
`static final mezz.jei.api.recipe.RecipeType<SolderingRecipe>`
`TYPE`

## Constructor Summary

Constructors
Constructor
Description
`SolderingCategory(mezz.jei.api.helpers.IGuiHelper guiHelper)`

## Method Summary

Modifier and Type
Method
Description
`mezz.jei.api.gui.drawable.IDrawable`
`getBackground()`
`mezz.jei.api.gui.drawable.IDrawable`
`getIcon()`
`mezz.jei.api.recipe.RecipeType<SolderingRecipe>`
`getRecipeType()`
`net.minecraft.network.chat.Component`
`getTitle()`
`void`
`setRecipe(mezz.jei.api.gui.builder.IRecipeLayoutBuilder recipeLayout, SolderingRecipe recipe, mezz.jei.api.recipe.IFocusGroup focuses)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface mezz.jei.api.recipe.category.IRecipeCategory

`draw, getHeight, getRegistryName, getTooltipStrings, getWidth, handleInput, isHandled`

## Field Details

### TYPE

public static final mezz.jei.api.recipe.RecipeType<SolderingRecipe> TYPE

### JEI_RECIPE_TEXTURE

public static final net.minecraft.resources.ResourceLocation JEI_RECIPE_TEXTURE

### TITLE

public static final String TITLE

See Also:
  - Constant Field Values

## Constructor Details

### SolderingCategory

public SolderingCategory(mezz.jei.api.helpers.IGuiHelper guiHelper)

## Method Details

### getRecipeType

public mezz.jei.api.recipe.RecipeType<SolderingRecipe> getRecipeType()

Specified by:
  `getRecipeType` in interface `mezz.jei.api.recipe.category.IRecipeCategory<SolderingRecipe>`

### getTitle

public net.minecraft.network.chat.Component getTitle()

Specified by:
  `getTitle` in interface `mezz.jei.api.recipe.category.IRecipeCategory<SolderingRecipe>`

### getBackground

public mezz.jei.api.gui.drawable.IDrawable getBackground()

Specified by:
  `getBackground` in interface `mezz.jei.api.recipe.category.IRecipeCategory<SolderingRecipe>`

### getIcon

public mezz.jei.api.gui.drawable.IDrawable getIcon()

Specified by:
  `getIcon` in interface `mezz.jei.api.recipe.category.IRecipeCategory<SolderingRecipe>`

### setRecipe

public void setRecipe(mezz.jei.api.gui.builder.IRecipeLayoutBuilder recipeLayout, SolderingRecipe recipe, mezz.jei.api.recipe.IFocusGroup focuses)

Specified by:
  `setRecipe` in interface `mezz.jei.api.recipe.category.IRecipeCategory<SolderingRecipe>`